From 8d932bc7065b9ffc3811c9ec44cf80eceb74078b Mon Sep 17 00:00:00 2001
From: Clark Boylan <clark.boylan@gmail.com>
Date: Tue, 10 Nov 2020 09:47:21 -0800
Subject: [PATCH] Use sudo to move applytest results

We're wanting to more properly set permissions on the ansible puppet
role manifest dir. This ends up setting mode 0755 with ownership of
root:root on the dir. As a result sudo is necessary to move these
contents later.

Change-Id: I6b6aa79e8e8b63f4665679ab183a8551f0dd521e
---
 tools/apply-test.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tools/apply-test.sh b/tools/apply-test.sh
index 399146901d..5f541b6107 100755
--- a/tools/apply-test.sh
+++ b/tools/apply-test.sh
@@ -20,7 +20,7 @@ if [[ ! -d applytest ]] ; then
     mkdir ~/applytest
 fi
 
-trap "mv ~/applytest applytest" EXIT
+trap "sudo mv ~/applytest applytest" EXIT
 
 # Split the class defs.
 csplit -sf ~/applytest/puppetapplytest $PUPPET_MANIFEST '/^}$/' {*}